Package: java.lang

## Class Thread

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `static List` | `allThreads()` Get all threads
    `static String` | `dumpAll()` Dump the thread dump of all threads
    `static Thread` | `start(Closure closure)` Start a Thread with the given closure as a Runnable instance.
    `static Thread` | `start(String name, Closure closure)` Start a Thread with a given name and the given closure as a Runnable instance.
    `static Thread` | `startDaemon(Closure closure)` Start a daemon Thread with the given closure as a Runnable instance.
    `static Thread` | `startDaemon(String name, Closure closure)` Start a daemon Thread with a given name and the given closure as a Runnable instance.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public static List allThreads()

      Get all threads

      Returns:
        all threads
      Since:
        4.0.16

    - #### public static String dumpAll()

      Dump the thread dump of all threads

      Returns:
        the thread dump of all threads
      Since:
        3.0.0

    - #### public static Thread start(Closure closure)

      Start a Thread with the given closure as a Runnable instance.

      Parameters:
        `closure` - the Runnable closure
      Returns:
        the started thread
      Since:
        1.0

    - #### public static Thread start(String name, Closure closure)

      Start a Thread with a given name and the given closure as a Runnable instance.

      Parameters:
        `name` - the name to give the thread
        `closure` - the Runnable closure
      Returns:
        the started thread
      Since:
        1.6

    - #### public static Thread startDaemon(Closure closure)

      Start a daemon Thread with the given closure as a Runnable instance.

      Parameters:
        `closure` - the Runnable closure
      Returns:
        the started thread
      Since:
        1.0

    - #### public static Thread startDaemon(String name, Closure closure)

      Start a daemon Thread with a given name and the given closure as a Runnable instance.

      Parameters:
        `name` - the name to give the thread
        `closure` - the Runnable closure
      Returns:
        the started thread
      Since:
        1.6